/**
 * Informatique Industrielle et Java
 * Projet change secondes du chapitre4
 *
 * @author F. Mallet
 * @version 1
 */
public class Horloge  {
    private CompteurModulo minutes, secondes, heures ;
    public Horloge (int minutes, int secondes, int heures) {
        this.minutes = new CompteurModulo(minutes, 60);
        this.secondes = new CompteurModulo(secondes, 60);
        this.heures = new CompteurModulo(heures, 24);        
    }
   
    public void incrementerSecondes() {
        secondes.incrementer() ;
        if (secondes.getEtat() == 0) {
            incrementerMinutes();
        }
    }
    public void incrementerMinutes() {
        minutes.incrementer() ;
        if (minutes.getEtat() == 0) {
        		incrementerHeures();
        }
    }
    public void incrementerHeures() {
        heures.incrementer() ;
    }    
    public int getSecondes() {
        return secondes.getEtat();
    }
    public int getMinutes() {
        return minutes.getEtat();
    }
    public int getHeures() {
        return heures.getEtat();
    }    
}
