/**
 * Informatique Industrielle et Java
 * Projet decalage du chapitre4
 *
 * Cette classe offre un apercu des methodes
 * getLocation et setLocation de la 
 * classe javax.swing.JWindow de Swing
 *  
 * @author F. Mallet et F. Boeri
 * @version 1
 */
public class Environnement {
    // La fen?tre principale de l'environnement graphique */
    protected javax.swing.JFrame fenetre;
        
    /* Constructeur: cr?e la fen?tre principale de l'environnement*/	
    public Environnement () {
        fenetre = new javax.swing.JFrame("Manipuler la position des fenetres");
        fenetre.setVisible(true);
    }
    /** D?cale la position de la fen?tre principale de 
     *  10 pixels sur la droite */
    public void decale() {
    	 java.awt.Point point = fenetre.getLocation();
	     fenetre.setLocation(point.x+10, point.y);
    }
    /* ajoute un objet graphique dans l'environnement 
     * @param composant est l'objet graphique ? ajouter
     */
    public void ajouteObjet(java.awt.Component composant) {
        fenetre.getContentPane().add(composant);
        fenetre.pack();
    }    
}