/**
 * Informatique Industrielle et Java
 * Projet fenetres du chapitre4
 *
 * Cette classe permet la prise de contact avec la
 * classe javax.swing.JWindow de Swing
 *  
 * @author F. Mallet
 * @version 1
 */
public class Environnement {
    // La fen?tre principale de l'environnement graphique */
    private javax.swing.JFrame fenetre;
        
    /* Constructeur: cr?e la fen?tre principale de l'environnement*/	
    public Environnement () {
        fenetre = new javax.swing.JFrame();
    }
    /* Change le titre de la fen?tre principale */
    public void setTitre(String titre) {
        fenetre.setTitle(titre);
    }
    /* affiche la fen?tre principale ? l'?cran */
    public void affiche() { 
        fenetre.setVisible(true);
    }
    /* cache la fen?tre principale */
    public void cache() {
        fenetre.setVisible(false);
    }
    /* ajoute un objet graphique dans l'environnement 
     * @param composant est l'objet graphique ? ajouter
     */
    public void ajouteObjet(java.awt.Component composant) {
        fenetre.getContentPane().add(composant);
        fenetre.pack();
    }
}