/**
 * Informatique Industrielle et Java
 * Projet positionner du chapitre4
 *  
 * Cette classe offre un apercu de l'utilisation
 * du BorderLayout pour un objet de type 
 * javax.swing.JFrame
 * 
 * @author F. Mallet
 * @version 1
 */
import javax.swing.JFrame;
import java.awt.Component;

public class Environnement {
    // La fen?tre principale de l'environnement graphique */
    protected JFrame fenetre;
        
    /* Constructeur: cr?e la fen?tre principale de l'environnement*/	
    public Environnement () {
        fenetre = new JFrame("Utilisation d'un BorderLayout");
        fenetre.setVisible(true);
    }
    /* ajoute un objet graphique dans l'environnement 
     * @param position = "Center", "North", "South", "East" ou "West"
     * @param composant est l'objet graphique ? ajouter
     */
    public void ajouteObjet(String position, Component composant) {
        fenetre.getContentPane().add(position, composant);
        fenetre.pack();
    }    
}