/**
 * Informatique Industrielle et Java
 * Projet liste du chapitre4
 *  
 * @author F. Mallet
 * @version 1
 */
import java.util.ArrayList;

public class UnModeleDeListe extends javax.swing.AbstractListModel {
	// elements contient les ?l?ments de la liste
	private ArrayList elements = new ArrayList();

	// ajoute un ?l?ment o ? la premi?re position libre
	public void ajoute(Object o) {
		// l'?l?ment o est ajout? au tableau dynamique elements
		elements.add(o);

		// D?clenche la notification des ?couteurs
		fireIntervalAdded(this, getSize()-1, getSize()-1);
	}

	// impl?mente l'interface ListModel
	// Il est n?cessaire d'impl?menter que les m?thodes qui ne sont
	// pas d?finies par la classe abstraite AbstractListModel
	public int getSize() {
		return elements.size();
	}
	public Object getElementAt(int index) {
		return elements.get(index);
	}
}
